Description

If a map exits while running an infine def (i.e a fade out) and the map also has an infine def set to run after it. There is a good chance
that Dday will seg fault.

It does seem to be map specific; as in, it will always occur on a map. If you rebuild the nodes, there is a good chance, but not always,
that the segfault will stop happening.

However there seems to be no determinable map set up that causes the seg faults in the first place.

I'd imagine that the above sounds a little convoluted. But | get repeatable seg fault's that randomly appear and disappear from the
above infine set up often enough that has led to believe there is a bug in dday somewhere.

Labels: InFine

History

#1 - 2008-11-06 22:29 - danij

Please can you attach the Infine scripts you are using to this tracker item. We will also need a step-by-step of how to reproduce this.

#2 - 2008-11-07 12:05 - vermil

Well, as | said, it seems that, sometimes ,after editing some part of my multi map wad, that one or more of my infine def of this sort will suddenly stop
working and crash dday.

The crash will eventually go away after another random edit to my wad.

Thinking about it further. It seems to only occur when the infine def running at map close is a filter based fade out. Dday will then scrash as soon as it
tries to run the post map infine def.

Indeed, currently, one of my def's is segfaulting Dday. But it is an extremely long one (over 1000 lines).
#3 - 2008-11-07 14:02 - danij
There is not much we can do to look into this without the data you are using and having problems with. Please attach everything we will need in order

to debug this.

#4 - 2009-05-02 14:36 - danij
How is this in Doomsday 1.9.0-beta6.1 Vermil?
